Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ > Struct Template Reference

`#include <gemm_shared_stream.h>`

## Classes
struct | Params
| The params. More...

## Public Types
typedef Iterator_ | Iterator
| The store iterator. More...
typedef Transformer_ | Transformer
typedef Transformer::InputFragment | InputFragment
| The input fragment. More...
typedef Transformer::OutputFragment | TransformedFragment
| The fragment that is obtained after the transformation by the transformer. More...
typedef InputFragment | Fragment
| Make sure the fragments match. More...
typedef Iterator::Storage | SharedStorage
| The storage in shared memory needed by that stream. More...

## Public Member Functions
template<typename Fragment_ >
CUTLASS_DEVICE | SharedStoreStream (Params const &params, SharedStorage &shared_storage, Fragment_ const &fragment, int offset=0)
| Ctor. More...
CUTLASS_DEVICE void | copy ()
| Trigger the copy from the fragment to shared memory. More...
CUTLASS_DEVICE void | commit ()
| Commit the data. More...

## Public Attributes
Iterator | iterator
| The iterator. More...
Transformer | transformer
| The transformer. More...
TransformedFragment | transformed_fragment
| The fragment containing the transformed data before the copy into shared memory. More...

## Member Typedef Documentation

## ◆ Fragment

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

typedef InputFragment cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::Fragment

The input fragment.

## ◆ InputFragment

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

typedef Transformer::InputFragment cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::InputFragment

## ◆ Iterator

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

typedef Iterator_ cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::Iterator

## ◆ SharedStorage

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

typedef Iterator::Storage cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::SharedStorage

## ◆ TransformedFragment

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

typedef Transformer::OutputFragment cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::TransformedFragment

## ◆ Transformer

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

typedef Transformer_ cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::Transformer

## Constructor & Destructor Documentation

## ◆ SharedStoreStream()

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>
template<typename Fragment_ >

CUTLASS_DEVICE cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::SharedStoreStream | ( | Params const & | params,
|  | SharedStorage & | shared_storage,
|  | Fragment_ const & | fragment,
|  | int | offset = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ commit()

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

CUTLASS_DEVICE void cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::commit | ( |  | ) |
| inline

## ◆ copy()

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

CUTLASS_DEVICE void cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::copy | ( |  | ) |
| inline

## Member Data Documentation

## ◆ iterator

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

Iterator cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::iterator

## ◆ transformed_fragment

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

TransformedFragment cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::transformed_fragment

## ◆ transformer

template<typename Iterator_ , typename Transformer_ = Copy<typename Iterator_::Fragment>>

Transformer cutlass::gemm::SharedStoreStream< Iterator_, Transformer_ >::transformer

The documentation for this struct was generated from the following file:

- gemm_shared_stream.h